LAT_OPS(8)

NAME
lat_ops - basic CPU operation parallelism

SYNOPSIS
lat_ops [ -W <warmups> ] [ -N <repetitions> ]

DESCRIPTION
lat_ops measures the latency of basic CPU operations, such as integer ADD.

integer bit, add, mul, div, mod operations
    maximum parallelism for integer XOR, ADD, MUL, DIV, MOD operations.

uint64 bit, add, mul, div, mod operations
    maximum parallelism for uint64 XOR, ADD, MUL, DIV, MOD operations.

float add, mul, div operations
    maximum parallelism for flot ADD, MUL, DIV operations.

double add, mul, div operations
    maximum parallelism for flot ADD, MUL, DIV operations.

BUGS
This benchmark is highly experimental and may sometimes (frequently?) give erroneous results.

SEE ALSO
lmbench(8), par_ops(8).

AUTHOR
Carl Staelin and Larry McVoy

Comments, suggestions, and bug reports are always welcome.